namespace K3D.Geometry
{
	using System;
	using System.Collections;


	/// <summary>
	/// Represents the list of polys a Polygon is adjacent too
	/// </summary>
	public sealed class AdjacentPolyCollection
	{
		public AdjacentPolyCollection(Polygon poly)
		{
			m_adjacent = new int[poly.VertexCount];
		}

		public void AddAdjacentIndex(int polyIndex)
		{
			// check for dups
			for (int i=0; i<m_index; i++)
			{
				if (m_adjacent[i] == polyIndex) return;
			}
			m_adjacent[m_index++] = polyIndex;
		}

		public int[] GetAdjacentPolys()
		{
			return m_adjacent;
		}

		public int Count
		{
			get
			{
				return m_index;
			}
		}

		private int m_index = 0;
		private int[] m_adjacent = null;
	}
}
