namespace K3D.Geometry
{
	using System;


	/// <summary>
	/// Vector
	/// Represents a simple 3d vector value
	/// </summary>
	public sealed class Vector
	{
		// ------------------------------------------------------------------------------
		// Construction

		/// <summary>
		/// Default constructor
		/// </summary>
		public Vector()
		{
		}

		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="x">X coord</param>
		/// <param name="y">Y coord</param>
		/// <param name="z">Z coord</param>
		public Vector(float x, float y, float z)
		{
			this.X = x;
			this.Y = y;
			this.Z = z;
		}

		/// <summary>
		/// Copy constructor
		/// </summary>
		/// <param name="v"></param>
		public Vector(Point v)
		{
			this.X = v.X;
			this.Y = v.Y;
			this.Z = v.Z;
		}
      
      
		// ------------------------------------------------------------------------------
		// Private data
      
		public float X = 0.0f;
		public float Y = 0.0f;
		public float Z = 0.0f;
	}
}
