namespace K3D.Properties
{
	using System;


	/// <summary>
	/// IPropertiesPage
	/// </summary>
	public interface IPropertiesPage
	{
		/// <summary>
		/// Init the control values on the page from the RegistryService
		/// </summary>
		void InitProperties();

		/// <summary>
		/// Persist the control values on the page to the RegistryService
		/// </summary>
		void SaveProperties();

		/// <summary>
		/// Get the text title for the page
		/// </summary>
		/// <returns></returns>
		string GetTitle();

		/// <summary>
		/// Container form
		/// </summary>
		/// <param name="container"></param>
		void SetContainer(PropertiesContainerForm container);
	}
}
